# ActivityMessageNotification

Notification for when a user is send an activity message

| Field          |                                                                                                                Argument | Type                                     | Description |
| -------------- | ----------------------------------------------------------------------------------------------------------------------: | ---------------------------------------- | ----------- |
| **id**         |                        [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md)! | The id of the Notification               |             |
| **userId**     |                        [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md)! | The if of the user who send the message  |             |
| **type**       | [NotificationType](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/enum/notificationtype/README.md) | The type of notification                 |             |
| **activityId** |                        [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md)! | The id of the activity message           |             |
| **context**    |                   [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) | The notification context text            |             |
| **createdAt**  |                         [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | The time the notification was created at |             |
| **message**    | [MessageActivity](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/messageactivity/README.md) | The message activity                     |             |
| **user**       |                       [User](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/user/README.md) | The user who sent the message            |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://anilist.gitbook.io/anilist-apiv2-docs/docs/reference/object/activitymessagenotification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
